/** @jsxRuntime classic */
/** @jsx h */
import { PersonalizationProps } from '@algolia/recommend-core';
import { TrendingItemsProps as TrendingItemsVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { TrendingItemsProps as TrendingItemsPropsPrimitive } from '../trendingItems';
import { EnvironmentProps, HTMLTemplate } from '../types';
export type GetTrendingItemsProps<TObject, TComponentProps extends Record<string, unknown> = {}> = TrendingItemsPropsPrimitive<TObject, TComponentProps> | (TrendingItemsPropsPrimitive<TObject, TComponentProps> & PersonalizationProps);
export type TrendingItemsProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetTrendingItemsProps<TObject> & Omit<TrendingItemsVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function trendingItems<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: TrendingItemsProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
