/** @jsxRuntime classic */
/** @jsx h */
import { GetRecommendedForYouProps } from '@algolia/recommend-core';
import { RecommendedForYouProps as RecommendedForYouVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
type RecommendedForYouProps<TObject, TComponentProps extends Record<string, unknown> = {}> = GetRecommendedForYouProps<TObject> & Omit<RecommendedForYouVDOMProps<TObject, TComponentProps>, 'items' | 'status'>;
export declare function recommendedForYou<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: RecommendedForYouProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
export {};
