/** @jsxRuntime classic */
/** @jsx h */
import { PersonalizationProps } from '@algolia/recommend-core';
import { createElement } from 'preact';
import { FrequentlyBoughtTogetherProps as FrequentlyBoughtTogetherPropsPrimitive } from '../frequentlyBoughtTogether';
import { EnvironmentProps, HTMLTemplate } from '../types';
type FrequentlyBoughtTogetherProps<TObject, TComponentProps extends Record<string, unknown> = {}> = FrequentlyBoughtTogetherPropsPrimitive<TObject, TComponentProps> | (FrequentlyBoughtTogetherPropsPrimitive<TObject, TComponentProps> & PersonalizationProps);
export declare function frequentlyBoughtTogether<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: FrequentlyBoughtTogetherProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
export {};
