/** @jsxRuntime classic */
/** @jsx h */
import { PersonalizationProps } from '@algolia/recommend-core';
import { createElement } from 'preact';
import { LookingSimilarProps as LookingSimilarPropsPrimitive } from '../lookingSimilar';
import { EnvironmentProps, HTMLTemplate } from '../types';
export type LookingSimilarProps<TObject, TComponentProps extends Record<string, unknown> = {}> = LookingSimilarPropsPrimitive<TObject, TComponentProps> | (LookingSimilarPropsPrimitive<TObject, TComponentProps> & PersonalizationProps);
export declare function lookingSimilar<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: LookingSimilarProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
