/** @jsxRuntime classic */
/** @jsx h */
import { PersonalizationProps } from '@algolia/recommend-core';
import { createElement } from 'preact';
import { RelatedProductsProps as RelatedProductsPropsPrimitive } from '../relatedProducts';
import { EnvironmentProps, HTMLTemplate } from '../types';
export type RelatedProductsProps<TObject, TComponentProps extends Record<string, unknown> = {}> = RelatedProductsPropsPrimitive<TObject, TComponentProps> | (RelatedProductsPropsPrimitive<TObject, TComponentProps> & PersonalizationProps);
export declare function relatedProducts<TObject>({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: RelatedProductsProps<TObject, HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
