/** @jsxRuntime classic */
/** @jsx h */
import { GetTrendingFacetsProps } from '@algolia/recommend-core';
import { TrendingComponentProps as TrendingFacetsVDOMProps } from '@algolia/recommend-vdom';
import { createElement } from 'preact';
import { EnvironmentProps, HTMLTemplate } from './types';
type TrendingFacetsProps<TComponentProps extends Record<string, unknown> = {}> = GetTrendingFacetsProps & Omit<TrendingFacetsVDOMProps<TComponentProps>, 'items' | 'status'>;
export declare function trendingFacets({ container, environment, itemComponent, fallbackComponent, headerComponent, view, children, ...props }: TrendingFacetsProps<HTMLTemplate> & EnvironmentProps): createElement.JSX.Element | null;
export {};
