import _extends from "@babel/runtime/helpers/extends";
/** @jsxRuntime classic */
/** @jsx h */
import { html } from 'htm/preact';
import { h } from 'preact';
export function withHtml(Component) {
  const ComponentWithHtml = props => h(Component, _extends({}, props, {
    html: html
  }));
  if (process.env.NODE_ENV !== 'production') {
    ComponentWithHtml.displayName = `withHtml(${Component.displayName})`;
  }
  return ComponentWithHtml;
}